/*$Header: X:\chimdev\sas\src\chimhw.h   \main\v1040a\1   Tue Oct  3 20:44:38 2006   LUU $*/
/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/***************************************************************************
*
*  Module Name:   CHIMHW.H
*
*  Description:   Basic hardware
*
*  Owners:        SSG CHIM Team
*
*  Notes:         Contains very basic #defines:
*                    Endianness of hardware.
*                    Scatter-gather format
*                    Host bus (PCI, etc.)
*                 All HIM's compiled together must agree on
*                    the same chimhw.h
*
***************************************************************************/
#define HIM_HA_LITTLE_ENDIAN 1

#define HIM_SG_LIST_TYPE     0    /* phys addr, then length, with       */
                                  /*    end-of-list delimiter           */
                                  /* currently, no other types defined  */

#define HIM_HOST_BUS  HIM_HOST_BUS_PCI  /* possible types in chimcom.h  */
