/*$Header: X:\chimdev\sas\src\chimsas.h   \main\v1040a\1   Tue Oct  3 20:44:40 2006   LUU $*/
/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/***************************************************************************
*
*  Module Name:   CHIMSAS.H
*
*  Description:   SAS-specific #defines
*
*  Owners:        SSG CHIM Team
*
*  Notes:         Includes
*                     Entry point to get other function pointers
*                     Required size of InitTSCB
*                     HIM_CHIMSAS_INCLUDED for OSM convenience
*
***************************************************************************/
#ifndef HIM_CHIMSAS_INCLUDED
#define HIM_CHIMSAS_INCLUDED
#define HIM_ENTRYNAME_SAS        SASGetFunctionPointers
/* Use define SAS_INITIALIZATION_TSCB_SIZE to calculate the size */
#if SAS_DOWNSHIFT_SUPPORT
#define HIM_SAS_INIT_TSCB_SIZE   1500
#else
#define HIM_SAS_INIT_TSCB_SIZE   1900
#endif /* SAS_DOWNSHIFT_SUPPORT */
#endif /* HIM_CHIMSAS_INCLUDED */

