/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

#ifndef RANDNUM_INCLUDED
#define RANDNUM_INCLUDED

/***************************************************************************** 
*
*							H E A D E R  F I L E
*
*									F O R
*	
*								R A N D N U M
*
*
*****************************************************************************/



//============================================================================
//
//	REVISION HISTORY
//
//		Revision History should be entered in the following format, with the
//		most recent history on the top of the list.
//
//		MM/DD/YYYY : HH:MM	LAST_NAME
//		DESCRIPTION OF CHANGES
//
//============================================================================

/*

12/10/2003 : 23:40 Shing-Kin Pun
o Initial Code development for CRC32.
o Removed references to typedefs.h.
o Changed Data Types U32, U16 and U8 to ULONG, USHORT and UCHAR.
o Changed variables prefix u32, u16 and u8 to ul, us, and uc.

*/


//#define		MAX_LOOP		(ULONG)25
#define		MAX_RANDOM_NUM		(ULONG)100000

#define		RANDOM_SEED_MOD		(ULONG)1812433253
#define		SIGN_MASK			(ULONG)0x80000000
//#define		MAX_RANDMASKS	(ULONG)1
//#define		PRIME_MASK		(ULONG)82376243
#define		RAND_MASK1			(ULONG)0x9d2c5680
#define		RAND_MASK2			(ULONG)0xefc60000


#endif	//...RANDNUM_INCLUDED
