/* $Header: X:\chimdev\sas\src\chim.h   \main\v1040a\1   Tue Oct  3 20:44:35 2006   LUU $ */
/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/***************************************************************************
*
*  Module Name:   CHIM.H
*
*  Description:   Shortcut front-end to include all other CHIM .h's.
*
*  Owners:        SSG CHIM Team
*
*  Notes:         None
*
***************************************************************************/
#ifndef  CHIM_INCLUDED
#define  CHIM_INCLUDED
#include "chimhw.h"
#include "chimosm.h"
#include "chimcom.h"

/* him-specific .h's - one per him */
#ifdef HIM_INCLUDE_SAS /* to be included by OSM writer in chimosm.h */
#include "sasosm.h"
#include "chimsas.h"
#endif
/* end of him-specific .h's */
#include "chimdef.h"
#include "sascom.h"

/* oem-specific .h's - this is for OEM1 */
#ifdef HIM_OEM1_INCLUDE_SAS
#include "chimso1.h"
#include "chimdo1.h"
#endif

#endif /* #ifndef  CHIM_INCLUDED */


